#/bin/sh

# Adds .directory files in the music collection
#
# Aurelien Bompard <gauret@free.fr>
#
# GPL.

musicdirs=`awk -F "=" '/^Collection Folders/ {print $2}' ~/.kde/share/config/amarokrc`

IFS=","
for musicdir in $musicdirs; do 
    unset IFS
    find "$musicdir" -iname '*.png' | while read imgfile; do
      dirfile=`dirname "$imgfile"`/.directory
      if [ ! -f "$dirfile" ]; then
          echo "Creating $dirfile"
          cat > "$dirfile" << EOF
[Desktop Entry]
Icon=./`basename "$imgfile"`
EOF
      fi
  done
done
